local Addon = _G[...]
local ACTION_PAGE_ICON = [[Interface\Icons\inv_misc_bandage_07]]

local ActionPageSlot = Addon.ActionSlots:CreateKind("actionpage")

-- charges, maxCharges, chargeStart, chargeDuration, chargeModRate
function ActionPageSlot:GetActionCharges()
    return 0, 0, 0, 0, 0
end

-- start, duration, enable, modRate
function ActionPageSlot:GetActionCooldown()
    return 0, 0, 0, 0
end

function ActionPageSlot:GetActionCount()
    return self:GetAttribute("action")
end

function ActionPageSlot:GetActionID()
    return 0
end

function ActionPageSlot:GetActionInfo()
    return
end

-- locStart, locDuration
function ActionPageSlot:GetActionLossOfControlCooldown()
    return 0, 0
end

function ActionPageSlot:GetActionText()
    return ""
end

function ActionPageSlot:GetActionTexture()
    return ACTION_PAGE_ICON
end

function ActionPageSlot:GetItemID()
    return 0
end

function ActionPageSlot:GetSpellID()
    return 0
end

function ActionPageSlot:HasAction()
    return true
end

function ActionPageSlot:IsActionInRange()
end

function ActionPageSlot:IsAttackAction()
    return false
end

function ActionPageSlot:IsAutoCastAction()
    return false
end

function ActionPageSlot:IsAutoRepeatAction()
    return false
end

function ActionPageSlot:IsConsumableAction()
    return false
end

function ActionPageSlot:IsCurrentAction()
    return self:GetAttribute("action") == _G.GetActionBarPage()
end

function ActionPageSlot:IsEquippedAction()
    return false
end

function ActionPageSlot:IsItemAction()
    return false
end

-- set to true so that we show the ID of the page on the action
function ActionPageSlot:IsStackableAction()
    return true
end

function ActionPageSlot:IsUsableAction()
    return true
end

function ActionPageSlot:SetTooltip(tooltip)
    local actionID = self:GetAttribute("action")
    local title = _G[("BINDING_NAME_ACTIONPAGE%d"):format(actionID)]

    GameTooltip_SetTitle(tooltip, title, HIGHLIGHT_FONT_COLOR)
end

function ActionPageSlot.Pickup(action)
    return Addon.SecureEnv:PickupCustom("actionpage", action, ACTION_PAGE_ICON)
end

function ActionPageSlot.GetIcon()
    return ACTION_PAGE_ICON
end

Addon.ActionPageSlot = ActionPageSlot