local Addon = _G[...]

local DeviceModes = {
	["Automatic"] = 1,
	["Manual"] = 2
}

local DeviceTypes = {
	["Orbweaver"] = 1,
	["Tartarus"] = 2
}

local RegionShapes = {
	["Grid"] = 1,
	["Dpad"] = 2
}

local DeviceLayouts  = {
	[DeviceTypes.Orbweaver] = {
		{
			shape = RegionShapes.Grid,
			columns = 5,
			buttons = {
                101, 102, 103, 104, 105,
                106, 107, 108, 109, 110,
                111, 112, 113, 114, 115,
                116, 117, 118, 119, 120
            },
		},
		{
			shape = RegionShapes.Dpad,
			buttons = {
				201, 203, 205, 207, 209, 210
			},
		},
	},
	[DeviceTypes.Tartarus] = {
		{
			shape = RegionShapes.Grid,
			columns = 5,
			buttons = {
                106, 107, 108, 109, 110,
                111, 112, 113, 114, 115,
                116, 117, 118, 119, 120
            },
		},
		{
			shape = RegionShapes.Dpad,
			buttons = {
				201, 203, 205, 207, 209, 210
			},
		},
	},
}

Addon.DeviceModes = DeviceModes
Addon.DeviceTypes = DeviceTypes
Addon.RegionShapes = RegionShapes
Addon.DeviceLayouts = DeviceLayouts